Subject: Re: bug#77725: 31.0.50; Add support for types accepted by `cl-typep' to cl-generic?

From: Stefan Monnier <[email-masked]>
Date: Mon, 05 May 2025 11:15:54 -0400

> Sorry, here is the correct patch, and updated change log.

Thanks, pushed to the branch.  I think the code is looking pretty good now.
I just have to decide how to integrate it into CL-Lib so it's loaded
when we need it, and then we can push it to `master`.

The optimization on the dispatch is nice.  We could do even better and
test only those types which have methods for the current generic
function rather than for any generic function.  I thought I had a patch
which provides that info to the `tagcode-function`, but sadly I was
confused: the patch I have provides that info only to the
`specializer-function`.  It can (and arguably should) be done, of
course, but it requires a fair bit of changes to `cl-generic.el`.  🙁

        Stefan